Name:           bc
Version:        1.07.1
Release:        12
Summary:        An arbitrary precision numeric processing language.
License:        GPLv2+
URL:            http://www.gnu.org/software/bc/
Source0:        https://ftp.gnu.org/gnu/bc/%{name}-%{version}.tar.gz

BuildRequires:  gcc readline-devel flex bison texinfo ed
Requires(post): info
Requires(preun):info

%description
bc is an arbitrary precision numeric processing language. Syntax
is similar to C, but differs in many substantial areas. It supports
interactive execution of statements. bc is a utility included in the
POSIX P1003.2/D11 draft standard.

%package_help

%prep
%autosetup -p1

%build
%configure --with-readline
%make_build

%install
%make_install
rm -rf %{buildroot}%{_infodir}/dir

%post help
%install_info %{_infodir}/bc.info.gz
%install_info %{_infodir}/dc.info.gz

%preun help
if [ $1 = 0 ];then
  %install_info_rm %{_infodir}/bc.info.gz
  %install_info_rm %{_infodir}/dc.info.gz
fi;

%files
%defattr(-,root,root)
%doc ChangeLog
%license COPYING COPYING.LIB AUTHORS
%{_bindir}/{bc,dc}

%files help
%doc FAQ NEWS README
%{_mandir}/man1/{bc*,dc*}
%{_infodir}/{bc*,dc*}
%doc Examples/

%changelog
* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 1.07.1-12
- rebuild for next release

* Tue Aug 18 2020 chenyaqiang <chenyaqiang@huawei.com> - 1.07.1-11
- rebuild for package build

* Mon Jan 6 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.07.1-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete redundant files

* Mon Oct 21 2019 shenyangyang <shenyangyang4@huawei.com> - 1.07.1-9
- Type:NA
- ID:NA
- SUG:NA
- DESC:move AUTHORS to license directory

* Sun Sep 29 2019 shenyangyang <shenyangyang4@huawei.com> - 1.07.1-8
- Type:NA
- ID:NA
- SUG:NA
- DESC:add license files

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.07.1-7
- Package Init
